# Copyright (C) 2009 Ferdinand Majerech
# This file is part of IMGCrush
# For conditions of distribution and use, see copyright notice in LICENSE.txt

"""    
JPG     : Object handling JPG files and their features.
PNG     : Object handling PNG files and their features.
GIF     : Object handling GIF files and their features. 
TESTER  : Object handling selection of the best file from temp files.
TEMPDIR : Directory to save temporary files to.
"""

VERSION = "0.4.0"
JPG = None
PNG = None
GIF = None
TESTER = None
TEMPDIR = None
OUTDIR = None
OUTEXISTED = False

ADVPNG = True

#0 - errors
#1 - warnings
#2 - normal
#3 - verbose
#4 - more verbose
VERBOSITY = 2
#do not strip metadata like author, comments, thumbnail etc.
NOSTRIP = False

OPTS_SHORT =("ho:t:qvm:r" +
             "jpg" +
             "J:U:T:DOZ:A:K" +
             "P:L:H:XY:R:EB:" +
             "G:FI:C:" +
             "NM:Q:S:" +
             "W:H:s"
            )

OPTS_LONG = ["help", "out-dir=", "temp-dir=", 
             "quiet", "verbose",
             "prc-mult=","recur",
             
             "jpg", "png", "gif", 
                                       
             "j-set=", "j-qual=", "j-step=",
             "j-inter", "j-optim", "j-s-fact=",  
             "j-opt-lv=", "j-gray",
                                       
             "p-set=", "p-lev=", "p-filt=",  
             "p-no-tru", "p-pal=", "p-gray=",
             "p-inter", "p-opt-lv=", 

             "g-set=", "g-inter", "g-depth=",
             "g-opt-lv=",
                                       
             "no-strip", "mode=", "min-qual=",
             "max-size=",
                                       
             "width=", "height=", "stretch", 
            ]
